Beta version of Spark LCCS

sasha_magee

01-08-2011

We're pleased to announced the beta of the Spark (and therefore mobile) version of LCCS SDK.

Attached is a Zip file containing the SWC and the source.

There are a few issues we know about. Please let us know any additional issues you run across.

Here're the release notes:

LCCS Spark SDK beta 1 release notes:

This is a beta release of the LCCS SDK converted to the Spark framework. Because it is not a release version, we do not recommend you produce production apps with this version of the SDK.

There are known issues with this release of the SDK (see below). If you find issues that we have not listed, please let us know on this thread.

We’re not planning on doing extensive mobile-specific interface work for the Spark SDK. However, if there are particularly egregious usability problems on mobile devices, please let us know.
 
Known issues:
Text generally:

  • Applying text styles to a range of text applies the style to the whole text object.
  • Bullets don’t work.


Whiteboard:

  • Two-finger rotation does not rotate around the correct center.
  • Text item location can change on first click.
  • Occasionally, non-functional scroll bars will appear.


Chat:

  • The line spacing in the history display is inconsistent.


WebCamera:

  • Front facing camera is not available on mobile devices.
  • Camera only works in portrait mode.
  • We’ve seen some cases where framerate is very poor on mobile devices. If you experience this issue, please let us know the device on which you are experiencing this problem.


Misc:

  • There’s a dependence on the mobiletheme swc. That dependence will go away for the release version of the SDK, but in the meantime, you can deal with it by linking to the swc, which should be in /Applications/Adobe Flash Builder 4.5/sdks/4.5.1/frameworks/themes/Mobile/mobile.swc (or the equivalent on Windows) if you are using Flash Builder.
  • Apps using this framework must specify -swf-version=12 in compiler options. They also depend on AIR 2.7 and/or Player 10.3.
  • The namespace (http://ns.adobe.com/rtcmobile) is not final and will change.

Replies

Highlighted

sasha_magee

25-08-2011

Hi, Glenn.

We don't have an outward facing bugbase for LCCS, so please just report bugs

here.

Incidentally, to solve the issue you mentioned above, if I understand it

correctly, you should be able to just add the following line at the end of

RichTextArea.set htmlText

dispatchEvent(new Event("htmlTextChanged"));

Thanks

sasha

Highlighted

devJT1

20-10-2011

I installed AIR 3.0 with Flash Builder 4.5.1, created a mobile application, and was able to run the camera and video for Collaboration Service without linking the mobile.swc.

Is it safe to assume that the mobile.swc no longer needs to be added to the Flex Build Path?

Or maybe the mobile.swc is needed for other functionality?

Thanks,

Jeff

Highlighted

nemono7

29-10-2011

When will you release a new version that supports the flash builder 4.6 sdk? With FB 4.6, get exception like the one below because the text classes have changed:

TypeError: Error #1034: Type Coercion failed: cannot convert spark.components.supportClasses::StyleableStageText@5eca3851 to spark.components.supportClasses.StyleableTextField.

Highlighted

Wilheim2

30-10-2011

When using these components in an iOS app, I found that the audio publisher never started. Works fine on the desktop though... but it's doing my head in that it won't work on an iPad!

Highlighted

Wilheim2

31-10-2011

Oh yes. Everything works as expected in the simulator.

If it's relevant: I had an event listener on the audio publisher that was never called:, i.e.

never called 'setMicParameters' in iOS

The microphone can be detected using

  and works in other Flex apps.

So, it's probably not the microphone itself...

Cheers,

Adam.

Highlighted

Wilheim2

06-11-2011

Got it working!

The issue seems to be the AIR version: when compiling using AIR 3 everything worked as expected. AIR 2.7 doesn't. So something must have been fixed in AIR3....

Highlighted

TVonthemob

27-11-2011

Has this mobile sdk version been incorporated into the 2.1 or 2.2 SDK?  I can only get design view to work with the beta spark SDK mentioned, anything using the 2.1 or 2.2 doesn't allow design view for mobile projects.  Maybe it will all roll out as a 4.6 release, but I havent had much luck.

thanks for all the awesome work

Anthony